<?php
/**
 * FIT Fixture
 * 
 * $Id: Display.php 6 2007-06-06 07:37:36Z gerd $
 * 
 * @author gERD Schaufelberger <gerd@php-tools.net>
 * @package FIT
 * @subpackage example
 * @license LGPL http://www.gnu.org/copyleft/lesser.html
 */
 
include_once 'Testing/FIT/Fixture/Row.php';


/**
 * MusicLibrary is required
 */ 
require_once dirname( __FILE__ ) . '/MusicLibrary.php';

/**
 * FIT Fixture
 *
 * Music browser  
 * 
 * @version 0.1.0
 * @package FIT
 * @subpackage example
 */
class Music_Display extends Testing_FIT_Fixture_Row
{
   /**
    * type dictionary
    * @var array
    */
    protected $_typeDictionary = array(
                                'title'       => 'string',
                                'artist'      => 'string',
                                'album'       => 'string',  
                                'year'        => 'string',   
                                'time()'      => 'float',   
                                'track()'     => 'string'
                            );

   /**
    * song title
    * @var string
    */
    public $title;
    
   /**
    * song's artist
    * @var string
    */
    public $artist;
    
   /**
    * song's album
    * @var string
    */
    public $album;
    
   /**
    * song's releas year
    * @var string
    */
    public $year;


   /**
    * receive this song's playing time
    * 
    * @param float
    */
	public function time() 
    {
		return MusicLibrary::time();
	}
    	
   /**
    * receive this track no
    * 
    * @param int
    */
	public function track() 
    {
		return MusicLibrary::track();
	}
    
    public function query()
    {
        return MusicLibrary::getSelection();
    }
}
?>